S0C2 and S0C4 abends upgrading to z/OS Enterprise COBOL for z/OS version 5

Document ID : KB000030408
Last Modified Date : 14/02/2018
Show Technical Document Details

Problem

A COBOL batch program doing Datacom calls fails with S0C2 or S0C4 abends after upgrading to z/OS Enterprise COBOL for z/OS version 5.

 

Cause:

z/OS Enterprise COBOL for z/OS version 5 requires that the program load module be linked using AMODE=31.

 

Resolution

Re-link the COBOL program with AMODE(31) and  RMODE(ANY)

In addition, since the program load module has to be AMODE=31, the Datacom URT also needs to have AMODE=31.

To do this, in the URT source, code the following in the DBUREND macro then re-assemble and link the URT:

DBUREND SYSTEM=OS,USRINFO=...,AMODE=31,RMODE=ANY

 

Additional Information:

See section End Macro (DBUREND) in https://docops.ca.com

See TEC1154547 for details on  the use of the DBURINF option LE=YES.